Trình xử lý thông báo

GET https://beta2.socdo.com/api/notification-handlers/
curl --request GET \
--url 'https://beta2.socdo.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
search Tùy chọn Chuỗi (String) Chuỗi tìm kiếm.
search_by Tùy chọn Chuỗi (String) Trường bạn đang tìm kiếm. Các giá trị cho phép: name.
is_enabled Tùy chọn Boolean
type Tùy chọn Chuỗi (String) Trường bạn đang tìm kiếm. Các giá trị cho phép: email , webhook , slack , discord , telegram , microsoft_teams.
order_by Tùy chọn Chuỗi (String) Trường để sắp xếp kết quả. Các giá trị cho phép: notification_handler_id , datetime , last_datetime , name.
order_type Tùy chọn Chuỗi (String) Thứ tự sắp xếp kết quả. Các giá trị cho phép: ASC cho sắp xếp tăng dần và DESC cho sắp xếp giảm dần.
search Tùy chọn Chuỗi (String) Chuỗi tìm kiếm.
search_by Tùy chọn Chuỗi (String) Trường bạn đang tìm kiếm. Các giá trị cho phép: name.
is_enabled Tùy chọn Boolean
type Tùy chọn Chuỗi (String) Trường bạn đang tìm kiếm. Các giá trị cho phép: email , webhook , slack , discord , telegram , microsoft_teams.
order_by Tùy chọn Chuỗi (String) Trường để sắp xếp kết quả. Các giá trị cho phép: notification_handler_id , datetime , last_datetime , name.
order_type Tùy chọn Chuỗi (String) Thứ tự sắp xếp kết quả. Các giá trị cho phép: ASC cho sắp xếp tăng dần và DESC cho sắp xếp giảm dần.
page Tùy chọn Số nguyên (Integer) Số trang bạn muốn lấy kết quả. Mặc định là 1.
results_per_page Tùy chọn Số nguyên (Integer) Số lượng kết quả bạn muốn trên mỗi trang. Các giá trị cho phép: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Mặc định là 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-10-13 18:32:24",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://beta2.socdo.com/api/notification-handlers?page=1",
        "last": "https://beta2.socdo.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://beta2.socdo.com/api/notification-handlers?page=1"
    }
}
GET https://beta2.socdo.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://beta2.socdo.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-10-13 18:32:24",
    }
}
POST https://beta2.socdo.com/api/notification-handlers
Tham số Chi tiết Mô tả
name Bắt buộc Chuỗi (String) -
type Bắt buộc Chuỗi (String) Giá trị cho phép: email , webhook , slack , discord , telegram , microsoft_teams
email Tùy chọn Chuỗi (String) Khả dụng khi: type = email Email
webhook Tùy chọn Chuỗi (String) Khả dụng khi: type = webhook Webhook URL
slack Tùy chọn Chuỗi (String) Khả dụng khi: type = slack Slack webhook URL
discord Tùy chọn Chuỗi (String) Khả dụng khi: type = discord Discord webhook URL
telegram Tùy chọn Chuỗi (String) Khả dụng khi: type = telegram Telegram API Token
telegram_chat_id Tùy chọn Chuỗi (String) Khả dụng khi: type = telegram Telegram Chat ID
microsoft_teams Tùy chọn Chuỗi (String) Khả dụng khi: type = microsoft_teams Microsoft Teams webhook URL
curl --request POST \
--url 'https://beta2.socdo.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://beta2.socdo.com/api/notification-handlers/{notification_handler_id}
Tham số Chi tiết Mô tả
name Tùy chọn Chuỗi (String) -
type Tùy chọn Chuỗi (String) Giá trị cho phép: email , webhook , slack , discord , telegram , microsoft_teams
email Tùy chọn Chuỗi (String) Khả dụng khi: type = email Email
webhook Tùy chọn Chuỗi (String) Khả dụng khi: type = webhook Webhook URL
slack Tùy chọn Chuỗi (String) Khả dụng khi: type = slack Slack webhook URL
discord Tùy chọn Chuỗi (String) Khả dụng khi: type = discord Discord webhook URL
telegram Tùy chọn Chuỗi (String) Khả dụng khi: type = telegram Telegram API Token
telegram_chat_id Tùy chọn Chuỗi (String) Khả dụng khi: type = telegram Telegram Chat ID
microsoft_teams Tùy chọn Chuỗi (String) Khả dụng khi: type = microsoft_teams Microsoft Teams webhook URL
is_enabled Tùy chọn Boolean -
curl --request POST \
--url 'https://beta2.socdo.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://beta2.socdo.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://beta2.socdo.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \